Press "Enter" to skip to content

Composer 切换版本

在开发过程中,有些项目要求 Composer 版本 2 以上,因此需要将已安装的 Composer 进行升级。

首先查看本地 Composer 的版本:

composer -v

 

可以看到,当前 Composer 版本是 1.10.8 。因此需要执行以下命令将 Composer 升级:

composer self-update --2

再输入 Composer -v 查看下当前版本:

可以看到已经升级成功了。

如果要切换回之前的版本怎么办呢?其实图 2 已经给出答案了,只要执行以下命令

composer self-update --rollback

或者

composer self-update --1

即可。

One Comment

  1. […] 如果出现上面的提示,是因为 Composer 的版本太低,可以忽略,或者将 Composer 更新到最新版本,具体更新操作可以参考:Composer 切换版本 […]

发表评论

您的电子邮箱地址不会被公开。 必填项已用*标注